Package org.apache.torque.generator.configuration.outlet

# Class VelocityOutletSaxHandlerFactory

java.lang.Object
org.apache.torque.generator.configuration.outlet.VelocityOutletSaxHandlerFactory

All Implemented Interfaces:
  `TypedOutletSaxHandlerFactory`

public class VelocityOutletSaxHandlerFactory extends Object implements TypedOutletSaxHandlerFactory
Creates Velocity outlet SAX handlers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VelocityOutletSaxHandlerFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Outlet`
  `createOutletForTemplate(String templatePath, ConfigurationProvider configurationProvider)`
  Creates an outlet for a template with the given file name.
  `final OutletSaxHandler`
  `getOutletSaxHandler(QualifiedName outletName, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)`
  Returns a VelocityOutletSaxHandler for reading the configuration of Velocity outlets.
  `Collection<String>`
  `getTemplatesFilenameExtensionsForScan()`
  Returns the filename extensions for templates which define outlets of this type.
  `String`
  `getType()`
  Returns the outlet type which can be handled by the OutletSaxHandlers created by this factory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VelocityOutletSaxHandlerFactory

    public VelocityOutletSaxHandlerFactory()

- ## Method Details

  - ### getType

    public String getType()
    Returns the outlet type which can be handled by the OutletSaxHandlers created by this factory.
    Specified by:
      `getType` in interface `TypedOutletSaxHandlerFactory`
    Returns:
      "velocityOutlet".

  - ### getTemplatesFilenameExtensionsForScan

    public Collection<String> getTemplatesFilenameExtensionsForScan()
    Returns the filename extensions for templates which define outlets of this type. These extensions are used for scanning the templates tree.
    Specified by:
      `getTemplatesFilenameExtensionsForScan` in interface `TypedOutletSaxHandlerFactory`
    Returns:
      A list with the entry ".vm".

  - ### createOutletForTemplate

    public Outlet createOutletForTemplate(String templatePath, ConfigurationProvider configurationProvider) throws ConfigurationException
    Creates an outlet for a template with the given file name.
    Specified by:
      `createOutletForTemplate` in interface `TypedOutletSaxHandlerFactory`
    Parameters:
      `templatePath` - the path to the template, relative to the templates directory, not null.
      `configurationProvider` - the configuration provider, not null.
    Returns:
      the outlet, not null.
    Throws:
      `ConfigurationException` - if the outlet cannot be created.

  - ### getOutletSaxHandler

    public final OutletSaxHandler getOutletSaxHandler(QualifiedName outletName, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers) throws SAXException
    Returns a VelocityOutletSaxHandler for reading the configuration of Velocity outlets. This implementation uses the provided name as outlet name.
    Specified by:
      `getOutletSaxHandler` in interface `TypedOutletSaxHandlerFactory`
    Parameters:
      `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed xml.
      `configurationProvider` - The access object for the configuration files, not null.
      `unitDescriptor` - The description of the generation unit, not null.
      `configurationHandlers` - the available configuration handlers, not null.
    Returns:
      a new VelocityOutletSaxHandler.
    Throws:
      `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.